Subject: Re: Newly revised standards-track RFC
From: Roger Fajman <[email-masked]>
To: Multiple recipients of list TN3270E <[email-masked]>
Date: Thu, 14 Apr 1994 20:24:13 EDT

> Yes, it has been quiet, but I wasn't sure that the issue had been settled.
> Putting in the revised text can be done quickly, but that text first needs
> to be agreed to, and I'm not sure it has yet.
>
> As I see it, there are two proposed methods of handling Telnet commands
> that appear in a tn3270e data block:
>
> - One is to state that such IACs must be processed as if they occurred
>   after the tn3270 data.  This view is supported by the server vendors
>   who have expressed an opinion.
>
> - The other is to leave more flexibility to the implementor - let each
>   vendor decide whether to process these IACs before, "during", or after
>   the tn3270 data.
>
> There are probably valid arguments to be made both for and against
> allowing more flexibility; I'm willing to go with either approach we
> decide on.  In the absence of a vote, consensus, or decree from Bob, I'm
> planning on going with the "require that they be processed after the 3270
> data" approach because, while it is more rigid, it might well also be less
> prone to problems due to varying implementations.  I'm just a
> conservative kind of guy, I guess. :)

I still prefer the second approach, but would like to hear from more
implementors about whether they think it matters.  The two we have
heard from consitute a rather small subset.

Peter, how about your Mac TN3270 implementation?

Roger Fajman                                   Telephone:  +1 301 402 4265
National Institutes of Health                  BITNET:     RAF@NIHCU
Bethesda, Maryland, USA                        Internet:   [email-masked]